export declare class FakeMongoToJson {
    bsonType: any;
    params: any[];
    constructor(bsonType: any, ...params: any[]);
    toString(): any;
}
export declare function ObjectId(str: any): FakeMongoToJson;
export declare function BinData(...params: any[]): FakeMongoToJson;
export declare function Code(...params: any[]): FakeMongoToJson;
export declare function ISODate(...params: any[]): FakeMongoToJson;
export declare function DBRef(...params: any[]): FakeMongoToJson;
export declare function NumberInt(...params: any[]): FakeMongoToJson;
export declare function NumberLong(...params: any[]): FakeMongoToJson;
export declare function MD5(...params: any[]): FakeMongoToJson;
export declare function Symbol(...params: any[]): FakeMongoToJson;
export declare function UUID(...params: any[]): FakeMongoToJson;
export declare function Timestamp(...params: any[]): FakeMongoToJson;
export declare function NumberDecimal(...params: any[]): FakeMongoToJson;
export declare function stringifyReplacer(k: any, value: any, takeOnQuoted?: boolean): any;
export declare function takeOnQuotedStringifyReplacer(k: any, value: any): any;
export declare class FakeMongoOpRuleClass {
    op: string;
    value: string;
    type: string;
    constructor(op: string, value: string, type?: string);
    tojson(): string;
}
export declare let MB_REGEX: {
    contains: (val: any) => FakeMongoOpRuleClass;
    notContains: (val: any) => FakeMongoOpRuleClass;
    startsWith: (val: any) => FakeMongoOpRuleClass;
    notStartsWith: (val: any) => FakeMongoOpRuleClass;
    endsWith: (val: any) => FakeMongoOpRuleClass;
    notEndsWith: (val: any) => FakeMongoOpRuleClass;
};
