export interface RuleOperator {
    value: string;
    mongoOp?: string | Function;
    text?: string;
    types?: {
        fieldType: string;
        editorType?: string;
    }[];
    noField?: boolean;
    noValue?: boolean;
    perserveValue?: boolean;
    allowedValues?: {
        value: string;
        text: string;
    }[];
}
export declare const DEFAULT_OP = "equal";
export declare const BSONTypes: {
    value: string;
    text: string;
    number: number;
}[];
export declare function findRuleOp(op: string): RuleOperator;
export declare const operators: RuleOperator[];
